Last Comment Bug 821694 - Unnecessary slug errors: "Changing this document's slug requires moving it and its children."
: Unnecessary slug errors: "Changing this document's slug requires moving it an...
Status: RESOLVED FIXED
:
Product: Mozilla Developer Network
Classification: Other
Component: Editing (show other bugs)
: unspecified
: All All
: P3 major with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 840092
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 05:47 PST by ghost@ethertank.jp
Modified: 2013-02-14 13:17 PST (History)
7 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description ghost@ethertank.jp 2012-12-14 05:47:06 PST
User Agent: Mozilla/5.0 (Windows NT 5.1) AppleWebKit/537.11 (KHTML, like Gecko) Chrome/23.0.1271.97 Safari/537.11

Steps to reproduce:

I've tried to save the following pages:
 https://developer.mozilla.org/ja/docs/WebGL
 https://developer.mozilla.org/ja/docs/User:ethertank


Actual results:

I failed to save. Then, the following error message is displayed:
  "Changing this document's slug requires moving it and its children."

I am not edit the slug. Slug input field does not exist now.


Expected results:

Please be able to save.
Comment 1 ghost@ethertank.jp 2012-12-14 13:50:35 PST
This page have same problem: https://developer.mozilla.org/ja/docs/XPIDL
Comment 2 Kohei Yoshino [:kohei] 2012-12-16 04:00:34 PST
I've got the error on https://developer.mozilla.org/ja/docs/Apps/Tutorials/General$edit
Comment 3 ghost@ethertank.jp 2012-12-17 01:28:47 PST
https://developer.mozilla.org/ja/docs/SVG
https://developer.mozilla.org/ja/docs/CSS

Although it is not sure,
this problem seems occurred in only under "/docs/".

Previously I was able to edit these pages.
This bug is a bug that was recently added.
Please see the edit history.
Comment 5 Kohei Yoshino [:kohei] 2012-12-22 20:32:15 PST
The issue happens not only on root pages. I cannot update a link on this page:
https://developer.mozilla.org/ja/docs/Apps/Tutorials/General$edit
Comment 7 Eric Shepherd [:sheppy] 2012-12-26 05:35:05 PST
Looks like we may still have some glitches in the code following the implementation of page move support then; this happened on all pages that had subpages the first time we landed page moving, so we had to back it out.

James/David -- do we need to yank it again, or do you guys have some idea why this might be happening?
Comment 9 ziyunfei 2012-12-28 20:17:19 PST
    * This document was modified while you were editing it.

Please review the differences between your changes and the changes saved since you started editing. You may save again, but try to resolve any conflicts by hand so that the changes made since you started are not lost.
Your Changes

Revision 343247 by ziyunfei on December 28, 2012 8:03:07 PM PST
Current Revision:

Revision 343249 by ziyunfei on December 28, 2012 8:04:20 PM PST
-----------------------------------------------------------------------------
https://developer.mozilla.org/en-US/docs/JavaScript/ECMAScript_6_support_in_Mozilla$edit
Comment 11 Kohei Yoshino [:kohei] 2013-02-14 13:17:40 PST
Looks like this has been resolved by Bug 819829. I can now edit these translations:
https://developer.mozilla.org/ja/docs/Apps/Tutorials/General
https://developer.mozilla.org/ja/docs/Apps/Apps_JavaScript_API
https://developer.mozilla.org/ja/docs/WebGL

Note You need to log in before you can comment on or make changes to this bug.